<!DOCTYPE html>
<html>

<head>
    <title>Task 29.170</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container-fluid">
        <h2>Tạo web từ JSON</h2>
        <table id="table" class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Firstname</th>
                    <th>Lastname</th>
                    <th>Picture</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>
</body>
<script>
    // đây là dữ liệu dùng tạo bảng
    var gEmployeeList = `{
        "employees": {
            "employee": [
            {
                "id": "1",
                "firstName": "Tom",
                "lastName": "Cruise",
                "photo": "https://jsonformatter.org/img/tom-cruise.jpg"
            },
            {
                "id": "2",
                "firstName": "Maria",
                "lastName": "Sharapova",
                "photo": "https://jsonformatter.org/img/Maria-Sharapova.jpg"
            },
            {
                "id": "3",
                "firstName": "Robert",
                "lastName": "Downey Jr.",
                "photo": "https://jsonformatter.org/img/Robert-Downey-Jr.jpg"
            }
            ]
        }
        }`
    var vJsonOjb = JSON.parse(gEmployeeList)
    console.log(vJsonOjb)
    var vOjb = vJsonOjb.employees.employee
    $(document).ready(function () {
        onPageLoading()
    })

    function onPageLoading() {
        var vTable = $("#table tbody")
        
        // debugger
        for (var bI = 0; bI < vOjb.length; bI++) {
            vTable.append ("<tr>"+
                "<td>"+vOjb[bI].id + "</td>"+
                "<td>"+vOjb[bI].firstName + "</td>"+
                "<td>"+vOjb[bI].lastName + "</td>"+
                "<td>"+"<img" + " src=" + vOjb[bI].photo + " alt=''>" + "</td>"
                + "</tr>")
        
    }
    }
</script>

</html>